WebScrapingAPI Docs
Marketplace APIsAmazon Search APIAmazon Search TypesAmazon Seller

Amazon Seller Feedback

Get customer feedback results for a seller on Amazon.

Amazon Seller Feedback

Get the customer feedback results for a seller on Amazon.

To enable this feature, set the type=seller_feedback parameter.

The request can return a maximum of 5 seller feedback records. To access additional seller feedback records beyond the first page, use the page parameter for pagination. By inspecting the pagination.has_next_page property, you can determine if there are more results available on the next page.

The main keys included in the returned JSON object are:

  • seller_feedback
  • pagination

Amazon Seller Feedback Parameters

The Amazon Seller Feedback feature only takes one specific parameter:

ParameterRequiredTypeDescription
seller_id✅stringThe ID of an Amazon seller.
page❌intFeedback page to request.

Your full GET request should then be sent to the following address:

https://ecom.webscrapingapi.com/v1?engine=amazon&api_key=<YOUR_API_KEY>&type=seller_feedback&seller_id=AAZRLVTNON75Z

Amazon Seller Feedback Integration Examples

curl --get "https://ecom.webscrapingapi.com/v1" \
  --data-urlencode "engine=amazon" \
  --data-urlencode "api_key=<YOUR_API_KEY>" \
  --data-urlencode "type=seller_feedback" \
  --data-urlencode "seller_id=AAZRLVTNON75Z"
const API_KEY = "<YOUR_API_KEY>";
const SCRAPER_URL = "https://ecom.webscrapingapi.com/v1";

const params = new URLSearchParams({
  engine: "amazon",
  api_key: API_KEY,
  type: "seller_feedback",
  seller_id: "AAZRLVTNON75Z",
});

const response = await fetch(`${SCRAPER_URL}?${params}`);
const data = await response.text();

console.log(data);
import requests

API_KEY = "<YOUR_API_KEY>"
SCRAPER_URL = "https://ecom.webscrapingapi.com/v1"

PARAMS = {
    "engine": "amazon",
    "api_key": API_KEY,
    "type": "seller_feedback",
    "seller_id": "AAZRLVTNON75Z",
}

response = requests.get(SCRAPER_URL, params=PARAMS)

print(response.text)
<?php

$apiKey = '<YOUR_API_KEY>';
$scraperUrl = 'https://ecom.webscrapingapi.com/v1';

$query = http_build_query([
    'engine' => 'amazon',
    'api_key' => $apiKey,
    'type' => 'seller_feedback',
    'seller_id' => 'AAZRLVTNON75Z',
]);

$response = file_get_contents("{$scraperUrl}?{$query}");

echo $response;
package main

import (
    "fmt"
    "io"
    "net/http"
    "net/url"
)

func main() {
    apiKey := "<YOUR_API_KEY>"
    baseURL := "https://ecom.webscrapingapi.com/v1"

    params := url.Values{}
    params.Add("engine", "amazon")
    params.Add("api_key", apiKey)
    params.Add("type", "seller_feedback")
    params.Add("seller_id", "AAZRLVTNON75Z")

    req, _ := http.NewRequest("GET", baseURL+"?"+params.Encode(), nil)
    res, _ := http.DefaultClient.Do(req)
    defer res.Body.Close()

    body, _ := io.ReadAll(res.Body)
    fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        String apiKey = "<YOUR_API_KEY>";
        String url = "https://ecom.webscrapingapi.com/v1"
    + "?engine=amazon"
    + "&api_key=" + apiKey
    + "&type=seller_feedback"
    + "&seller_id=AAZRLVTNON75Z";

        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .GET()
            .build();

        HttpResponse<String> response = HttpClient.newHttpClient().send(
            request,
            HttpResponse.BodyHandlers.ofString()
        );

        System.out.println(response.body());
    }
}
using System;
using System.Net.Http;
using System.Threading.Tasks;

class Program
{
    static async Task Main()
    {
        var apiKey = "<YOUR_API_KEY>";
        var url = "https://ecom.webscrapingapi.com/v1"
    + "?engine=amazon"
    + "&api_key=" + apiKey
    + "&type=seller_feedback"
    + "&seller_id=AAZRLVTNON75Z";

        using var client = new HttpClient();
        var response = await client.GetAsync(url);
        var body = await response.Content.ReadAsStringAsync();

        Console.WriteLine(body);
    }
}
require "net/http"
require "uri"

api_key = "<YOUR_API_KEY>"
uri = URI("https://ecom.webscrapingapi.com/v1")
uri.query = URI.encode_www_form({
  engine: "amazon",
  api_key: api_key,
  type: "seller_feedback",
  seller_id: "AAZRLVTNON75Z",
})

response = Net::HTTP.get_response(uri)

puts response.body

Response example

{
  "search_parameters": {
    "amazon_url": "https://www.amazon.com/",
    "engine": "amazon",
    "amazon_domain": "amazon.com",
    "device": "desktop",
    "type": "seller_feedback",
    "seller_id": "AAZRLVTNON75Z"
  },
  "search_information": {
    "organic_results_state": "Results for exact spelling"
  },
  "seller_feedback": [
    {
      "rater": "Sarah M.",
      "rating": 5,
      "has_response": false,
      "body": "Great service",
      "date": {
        "raw": "July 24, 2023",
        "utc": "2023-07-24T04:00:00.000Z"
      },
      "position": 1
    }
  ],
  "pagination": {
    "current_page": 1,
    "has_next_page": true,
    "next_page": 2
  }
}

Scraping Amazon Seller Feedback Page

On this page